<?php
/**
 * Excerpt
 *
 * @package Corporaze
 */

$wp_customize->add_section(
	'corporaze_excerpt_options',
	array(
		'panel' => 'corporaze_theme_options',
		'title' => esc_html__( 'Excerpt', 'corporaze' ),
	)
);

// Excerpt - Excerpt Length.
$wp_customize->add_setting(
	'corporaze_excerpt_length',
	array(
		'default'           => 20,
		'sanitize_callback' => 'corporaze_sanitize_number_range',
		'validate_callback' => 'corporaze_validate_excerpt_length',
	)
);

$wp_customize->add_control(
	'corporaze_excerpt_length',
	array(
		'label'       => esc_html__( 'Excerpt Length (no. of words)', 'corporaze' ),
		'description' => esc_html__( 'Min 1 & Max 200. Please input the valid number and save. Then refresh the page to see the change.', 'corporaze' ),
		'section'     => 'corporaze_excerpt_options',
		'settings'    => 'corporaze_excerpt_length',
		'type'        => 'number',
		'input_attrs' => array(
			'min'  => 1,
			'max'  => 200,
			'step' => 1,
		),
	)
);

// Excerpt - Read More Text.
$wp_customize->add_setting(
	'corporaze_excerpt_more_text',
	array(
		'default'           => esc_html__( 'Read More', 'corporaze' ),
		'sanitize_callback' => 'sanitize_text_field',
	)
);

$wp_customize->add_control(
	'corporaze_excerpt_more_text',
	array(
		'label'    => esc_html__( 'Read More Text', 'corporaze' ),
		'section'  => 'corporaze_excerpt_options',
		'settings' => 'corporaze_excerpt_more_text',
		'type'     => 'text',
	)
);
